## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringAdapter Class Reference

`#include <XStringAdapter.hpp>`

Inheritance diagram for XStringAdapter:

[legend]
Collaboration diagram for XStringAdapter:

[legend]
List of all members.

## Public Types

- typedef XStringBase ParentType

## Public Methods

- XStringAdapter (const XObjectPtr &val, MemoryManagerType &theManager)
    Create a string XObject that will adapt another XObject to behave like a string. More...
- XStringAdapter (const XStringAdapter &source, MemoryManagerType &theManager)
- virtual ~XStringAdapter ()
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...

## Protected Methods

- virtual eObjectType getRealType () const
    Tell what kind of class this is. More...

## Member Typedef Documentation

typedef XStringBase XStringAdapter::ParentType

| Reimplemented from XStringBase.

## Constructor & Destructor Documentation

XStringAdapter::XStringAdapter ( | const XObjectPtr & val,
| MemoryManagerType & theManager )

  | Create a string XObject that will adapt another XObject to behave like a string. The XObject holds a reference to the other XObject. Parameters:
  theValue | value used to create object

XStringAdapter::XStringAdapter ( | const XStringAdapter & source,
| MemoryManagerType & theManager )

XStringAdapter::~XStringAdapter ( | )`[virtual]`

## Member Function Documentation

eObjectType XStringAdapter::getRealType ( | ) const`[protected, virtual]`

| Tell what kind of class this is. Returns: numeric type value Reimplemented from XObject.

void XStringAdapter::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Reimplemented from XStringBase.

const XalanDOMString & XStringAdapter::str ( | ) const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XStringBase.

double XStringAdapter::stringLength ( | ) const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Reimplemented from XStringBase.

The documentation for this class was generated from the following file:

- XStringAdapter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.